#include <tads.h>

/*
 * An XTads test game.
 * Main area and >1 banner whose contents all overflow size, and are configured for more prompts.
 */
main(args)
{
	local b0 = nil;
    
    "A banner test game for XTads. Make window short enough that both main area and both banners ask for more prompts.\b\b";
    flushOutput();

    for (local i = 1; i <= 19; i++) {
        tadsSay('main line ' + i + '<br>');
    }

    local b1 = bannerCreate(b0, BannerFirst, nil, BannerTypeText, BannerAlignTop,
                       5, BannerSizeAbsolute,
                       BannerStyleMoreMode);

    local b2 = bannerCreate(b0, BannerFirst, nil, BannerTypeText, BannerAlignTop,
                       5, BannerSizeAbsolute,
                       BannerStyleMoreMode);

    for (local i = 1; i <= 19; i++) {
        bannerSay(b1, 'b1 line ' + i + '<br>');
        bannerSay(b2, 'b2 line ' + i + '<br>');
    }

    "\bPress another key to exit...\n";
    inputKey();
}
